Introduction

Top Next

According to Microsoft® Policy Regarding Missing or Invalid Passwords:

Microsoft engineers cannot help you break the passwords that are applied to the files.

[…]

If you need help to break or to reset a password, you can locate and contact a third-party company for this help.

Here it is:

Advanced Office Password Recovery (AOPR) is ElcomSoft's comprehensive recovery suite supporting all versions of Microsoft® Office (including international versions) and all other Microsoft® software using the new encryption method based on Cryptographic Service Provider (CSP) file protection for Office XP and later.

AOPR (a favourite of the FBI et al) is available in three editions, e.g., Home, Standard, and Professional. The key features of each AOPR edition are documented at Supported File Types and Passwords.


End-User License Agreement

 Top Previous Next

END USER LICENSE AGREEMENT

NOTICE TO USER:

THIS IS AN AGREEMENT GOVERNING YOUR USE OF ELCOMSOFT SOFTWARE, FURTHER DEFINED HEREIN AS "PRODUCT," AND THE LICENSOR OF THE PRODUCT IS WILLING TO PROVIDE YOU WITH Access® TO THE PRODUCT ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT. BELOW, YOU ARE ASKED TO ACCEPT THIS AGREEMENT AND CONTINUE TO INSTALL OR, IF YOU DO NOT WISH TO ACCEPT THIS AGREEMENT, TO DECLINE THIS AGREEMENT, IN WHICH CASE YOU WILL NOT BE ABLE TO INSTALL OR OPERATE THE PRODUCT. BY INSTALLING THIS PRODUCT YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.

This Electronic End User License Agreement (the "Agreement") is a legal agreement between you (either an individual or an entity), the licensee, and ElcomSoft Co. Ltd. and its affiliates (collectively, the "Licensor"), regarding the Licensor's software, as applicable pursuant to a valid license, you are about to download and/or other related services, including without limitation a) all of the contents of the files, disk(s), CD-ROM(s) or other media with which this Agreement is provided and including all forms of code, such as source code and object code, (the "Software"), b) all successor upgrades, modified versions, modified modules, revisions, patches, enhancements, fixes, modifications, copies, additions or maintenance releases of the Software, if any, licensed to you by the Licensor (collectively, the "Updates"), and c) related user documentation and explanatory materials or files provided in written, "online" or electronic form (the "Documentation" and together with the Software and Updates, the "Product"). You are subject to the terms and conditions of this End User License Agreement whether you Access® or obtain the Product directly from the Licensor, or through any other source. For purposes hereof, "you" means the individual person installing or using the Product on his or her own behalf; or, if the Product is being downloaded or installed on behalf of an organization, such as an employer, "you" means the organization for which the Product is downloaded or installed, then the person accepting this agreement represents hereby that such organization has authorized such person to accept this agreement on the organization's behalf. For purposes hereof the term "organization," without limitation, includes any partnership, limited liability company, corporation, association, joint stock company, trust, joint venture, labor organization, unincorporated organization, or governmental authority.

By accessing, storing, loading, installing, executing, displaying, copying the Product into the memory of a Client Device, as defined below, or otherwise benefiting from using the functionality of the Product ("Operating"), you agree to be bound by the terms and conditions of this Agreement. If you do not agree to the terms and conditions of this Agreement, the Licensor is unwilling to license the Product to you. In such event, you may not Operate or use the Product in any way.

BEFORE YOU PUT A CHECKMARK AT THE "I ACCEPT THE AGREEMENT" BUTTON AND PRESS "NEXT," PLEASE CAREFULLY READ THE TERMS AND CONDITIONS OF THIS AGREEMENT, AS SUCH ACTIONS ARE A SYMBOL OF YOUR SIGNATURE AND BY CLICKING ON THE "I ACCEPT THE AGREEMENT" AND "NEXT" BUTTONS, YOU ARE CONSENTING TO BE BOUND BY AND ARE BECOMING A PARTY TO THIS AGREEMENT AND AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE "CANCEL" BUTTON AND THE PRODUCT WILL NOT BE INSTALLED ON YOUR CLIENT DEVICE, AS SUCH TERM IS DEFINED BELOW. For your reference, you may refer to the copy of this Agreement that can be found in the Help for the Software. You may also receive a copy of this Agreement by contacting Licensor at: info@elcomsoft.com.

1. Proprietary Rights and Non-Disclosure.

1.1. Ownership Rights. You agree that the Product and the authorship, systems, ideas, methods of operation, documentation and other information contained in the Product, are proprietary intellectual properties and or the valuable trade secrets of the Licensor and are protected by civil and criminal law, and by the law of copyright, trade secret, trademark and patent of the Russian federation, other countries and international treaties. You may use trademarks only insofar as to identify printed output produced by the Product in accordance with accepted trademark practice, including identification of trademark owner's name. Such use of any trademark does not give you any rights of ownership in that trademark. The Licensor and its suppliers own and retain all right, title, and interest in and to the Product, including without limitations any error corrections, enhancements, Updates or other modifications to the Software, whether made by Licensor or any third party, and all copyrights, patents, trade secret rights, trademarks, and other intellectual property rights therein. Your possession, installation or use of the Product does not transfer to you any title to the intellectual property in the Product, and you will not acquire any rights to the Product except as expressly set forth in this Agreement. All copies of the Product made hereunder must contain the same proprietary notices that appear on and in the Product. Except as stated herein, this Agreement does not grant you any intellectual property rights in the Product and you acknowledge that the license granted under this Agreement only provides you with a right of limited use under the terms and conditions of this Agreement.

1.2. Source Code and Modifications. You acknowledge that the source code for the Product is proprietary to the Licensor and constitutes trade secrets of the Licensor. You agree not to modify, or create derivative works based upon the Product in whole or in part nor reverse engineer, decompile, disassemble the source code of the Product in any way.

1.3. Registration Code File and Confidential Information. You agree that, unless otherwise specifically provided herein or agreed by the Licensor in writing, the Product, including the specific design and structure of individual programs and the Product, including without limitation the Registration Code File provided to you by the Licensor and/or its authorized resellers or distributors, constitute confidential proprietary information of the Licensor. For purposes hereof, "Registration Code" shall mean a unique key identification file or a combination of unique electronic characters provided to you by the Licensor confirming the purchase of the license from the Licensor, which may carry the information about the license and the number of permitted users, and enabling the full functionality of the Product in accordance with the license granted under this Agreement. You agree not to transfer, copy, disclose, provide or otherwise make available such confidential information in any form to any third party without the prior written consent of the Licensor. You agree to implement reasonable security measures to protect such confidential information, but without limitation to the foregoing, shall use best efforts to maintain the security of the Registration Code provided to you by the Licensor and/or its authorized resellers or distributors.

2. Grant of License.

2.1. License. The Licensor grants you the following rights ("License") and you hereby agree and accept such License:

a). Trial Version. If you have received, downloaded and/or installed a trial version of the Product and are hereby granted an evaluation license for the Software and you may Operate the Product only for evaluation purposes and only during the single applicable evaluation period of thirty (30) days, unless otherwise indicated, from the date of the initial installation. Following this test period of thirty (30) days or less, if you wish to continue to use the Product, you must register. To register you have to pay for the fully functional version. Upon payment we provide the Registration Code to you. Any use of the Product for other purposes or beyond the applicable evaluation period is strictly prohibited, provided however that, subject to the restrictions contained herein, you may copy and distribute a trial version of the Software without any modifications whatsoever to any third party subject to this Agreement and further provided that you have no technical support rights during the trial period. The unregistered (trial) version may be freely distributed, provided that the distribution package is not modified. No person or company may charge a fee for the distribution of the Product without written permission from the copyright holder.

b). Grant of License. Unless otherwise specifically indicated under a valid license (e.g. volume license) granted by the Licensor, once registered you are granted a non-exclusive and non-transferable license to install one (1) copy of the Product and during the term of your license, subject to the payment of the applicable fees and your compliance with the terms hereof, this Agreement permits you or any of your employees to Operate one copy of the specified version of the Product, for internal purposes only, on one computer, workstation, or other electronic device of which the software was designed (each a "Client Device"). If you have purchased multiple licenses for the Product, then the number of multiple licenses shall determine the number of copies of the Product you may have and the number of Client Devices on which you may Operate the Product. If the Product is licensed as a suite or bundle with more than one specified software product, this license applies to all such specified software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such software products individually. Additionally, Licensor reserves the right to provide for specific terms and conditions in the purchased licenses and such terms may be embedded in Registration Code specifying other terms, conditions and restrictions of Operating of the Product. The Licensor reserves all rights not expressly granted herein.

c). Limitations on Personal License. With the purchase of a personal License, the Licensee may operate the Product as set forth in the Agreement for non-commercial purposes in a non-business or non-commercial environment. Use of the Product in a corporate, governmental or business environment requires the purchase of a business license.

d). Site License. With the acquisition of a Site License, the Licensee may install and use the Product on an unlimited amount of CPUs within one office in one geographic location. Within these limitations, the Licensee may install the Product as a "Network" Product and run the software from any networked computer on your LAN, provided those computers are located exclusively within one office at one geographic location.

e). Volume Use. If the Product is licensed with volume license terms specified in the applicable product invoicing or packaging for the Product, you may make use and install as many additional copies of the Product on the number of Client Devices as the volume license terms specify. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Product has been installed does not exceed the number of licenses you have obtained.

f). Multiple Environment Product; Multiple Language Product; Dual Media Product; Multiple Copies; Bundles. If the Product supports multiple platforms or languages, if you receive the Product on multiple media, if you otherwise receive multiple copies of the Product, or if you received the Product bundled with other software, the total number of your Client Devices on which all versions of the Product are installed may not exceed the number of licenses you have obtained from the Licensor. You may not rent, lease, sublicense, lend or transfer any versions or copies of the Product you do not use.

2.2. Back-up Copies. You can make one (1) copy the Product for backup and archival purposes, provided, however, that the original and each copy is kept in your possession or control, and that your installation and use of the Product does not exceed that which is allowed in this Section 2.

2.3. Prohibitions. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this Agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. Neither ElcomSoft binary code nor source may be used or reverse engineered to re-create the program algorithm, which is proprietary, without written permission of Licensor. All rights not expressly granted here are reserved by ElcomSoft Co. Ltd.

2.4. Special Provisions Applicable to Password Recovery Programs. The Licensor has a strict return policy due to the nature of our products. If the software is unable to recover (or remove, or change) a password, a copy of the unrecovered file must be sent to the Licensor for evaluation. If the password is recovered, you will be either able to keep the software and receive the password to the file (or unprotected copy of the file), or refund can be made and the end user will need to pay for the in-house recovery in order to receive the password. If the Licensor is unable to recover the password, a full refund will be made. This subsection is applicable only to situations when password recovery or removal is guaranteed without brute-force or dictionary attacks.

2.5. Registration Code. Registration Code provided by the Licensor constitutes the confidential proprietary information of the Licensor. ElcomSoft Registration Code file may not be distributed, except as stated herein, outside of the area of legal control of the person or persons who purchased the original license, without written permission of the copyright holder. You may not give away, sell or otherwise transfer your Registration Code to a third party. Doing so will result in an infringement of copyright. ElcomSoft Co. Ltd retains the right of claims for compensation in respect of damage which occurred by your giving away the registration code. This claim shall also extend to all costs which ElcomSoft Co. Ltd incurs in defending itself.

2.6. Transfers. Under no circumstances shall Licensee sell, rent, lease, license, sublicense, publish, display, distribute, or otherwise transfer to a third party the Software, any copy thereof, in whole or in part, without Licensor's prior written consent, unless otherwise provided for in this Agreement.

2.7. Acceptance of Licensing Terms. Installing and using the Product signifies acceptance of these terms and conditions of the License. If you do not agree with the terms of the license you must remove all Product files from your storage devices, including any back-up or archival copy, and cease to use the Product.

2.8. Material Terms and Conditions. Licensee specifically agrees that each of the terms and conditions of this Section 2 are material and that failure of Licensee to comply with these terms and conditions shall constitute sufficient cause for Licensor to immediately terminate this Agreement and the License granted under this Agreement. The presence of this Section 2.7 shall not be relevant in determining the materiality of any other provision or breach of this Agreement by either party.

2.9. Term and Termination. The term of this Agreement ("Term") shall begin when you download, Access® or install the Product or pay the applicable license fees (whichever is earlier) and shall continue for the term specified in your order. Without prejudice to any other rights, this Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must immediately cease use of the Product and destroy all copies of the Product.

2.10. No Rights Upon Termination. Upon termination of this Agreement you will no longer be authorized to Operate or use the Product in any way.

3. Support and Updates.

3.1. Terms of Support. During the one-year period you are entitled to technical services and support for the Product which is provided to you by Licensor during the regular business hours (GMT+ 03:00), except for locally-observed holidays, and includes the support provided through a special technical support section of the Licensor's site (the "Site") and email support@elcomsoft.com. During such period of one year e-mail support is unlimited and includes technical and support questions and patch fixes.

3.2. Updates. During the one-year period, you may download Updates to the Product when and as the Licensor publishes them on the Site, or through other online services. If the Product is an Update to a previous version of the Product, you must possess a valid license to such previous version in order to use the Update. You may continue to use the previous version of the Product on your Client Device after you receive the Update to assist you in the transition to the Update, provided that: (i) the Update and the previous version are installed on the same Client Device; (ii) the previous version or copies thereof are not transferred to another party or Client Device unless all copies of the Update are also transferred to such party or Client Device; (iii) you acknowledge that any modification that you made to the Product may be lost, altered, distorted or destroyed rendering such modifications, Product or the part thereof inoperable or non-usable; and (iv) you acknowledge that any obligation the Licensor may have to support the previous version of the Product may be ended upon availability of the Update. Except for the rights to free Updates during the one-year period, as further defined herein, nothing in this Agreement shall be construed as to grant you any rights or licenses with regard to the new releases of the Product or to entitle you to any new release. This Agreement does not obligate the Company to provide any Updates. Notwithstanding the foregoing, any Updates that you may receive become part of the Product and the terms of this Agreement apply to them (unless this Agreement is superseded by a succeeding agreement accompanying such Update or modified version of the Product).

4. Restrictions.

4.1. No Transfer of Rights. You may not transfer any rights pursuant to this Agreement nor rent, sublicense, lease, loan or resell the Product. You may not permit third parties to benefit from the use or functionality of the Product via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the application price list, purchase order or product packaging for the Product. Except as otherwise provided in Section 1.2 hereof, you may not, without the Licensor's prior written consent, reverse engineer, decompile, disassemble or otherwise reduce any party of the Product to human readable form nor permit any third party to do so, except to the extent the foregoing restriction is expressly prohibited by applicable law. Notwithstanding the foregoing sentence, decompiling the Software is permitted to the extent the laws of your jurisdiction give you the right to do so to obtain information necessary to render the Software interoperable with other software; provided, however, that you must first request such information from the Licensor and the Licensor may, in its discretion, either provide such information to you (subject to confidentiality terms) or impose reasonable conditions, including a reasonable fee, on such use of the Software to ensure that the Licensor's and its affiliates' proprietary rights in the Software are protected. Except for the modification permitted under Section 1.2, you may not modify, or create derivative works based upon the Product in whole or in part.

4.2. Proprietary Notices and Copies. You may not remove any proprietary notices or labels on the Product. You may not copy the Product except as expressly permitted in Section 2 above.

4.3. Compliance with Law. You agree that in Operating the Product and in using any report or information derived as a result of Operating this Product, you will comply with all applicable international, national, state, regional and local laws and regulations, including, without limitation, privacy, trademark, patent, copyright, export control and obscenity law and you shall not use the Product for unethical or illegal business practices or in violation of any obligation to a third party in using, operating, accessing or running any of the Product and shall not knowingly assist any other person or entity to so violate any obligation to a third party.

4.4. Additional Protection Measures. Solely for the purpose of preventing unlicensed use of the Product, the Software may install on your Client Device technological measures that are designed to prevent unlicensed use, and the Licensor may use this technology to confirm that you have a licensed copy of the Product. The update of these technological measures may occur through the installation of the Updates. The Updates will not install on unlicensed copies of the Product. If you are not using a licensed copy of the Product, you are not allowed to install the Updates. The Licensor will not collect any personally identifiable information from your Client Device during this process.

5. WARRANTIES AND DISCLAIMERS.

5.1. Limited Warranty. The Licensor warrants that for 90 days (the "Warranty Period") from the date the Registration Code is provided to you by Licensor, the media on which Product has been provided will be free from defects in materials and workmanship and that the Software will perform substantially in accordance with the Documentation or generally conform to the Product's specifications published by the Licensor. Non-substantial variations of performance from the Documentation do not establish a warranty right. THIS LIMITED WARRANTY DOES NOT APPLY TO UPDATES AS APPLIED TO ANY MODIFIED PRODUCT, WHETHER OR NOT SUCH MODIFICATION IS PERMISSIBLE HEREUNDER, TRIAL AND EVALUATION VERSIONS, UPDATES, PRE-RELEASE, TRYOUT, PRODUCT SAMPLER, OR NOT FOR RESALE (NFR) COPIES OF PRODUCT. This limited warranty is void and your support right terminate if the defect has resulted from accident, abuse, or misapplication or any modification, whether or not such modification is permitted hereunder. No warranty is made as to the integrity, protection or safekeeping of any modification to the Products made by you upon installation of any of the Updates. To make a warranty claim, you must return the Product to the location where you obtained it along with proof of purchase within such sixty (60) day period of the license fee you paid for the Product. THE LIMITED WARRANTY SET FORTH IN THIS SECTION GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE ADDITIONAL RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

5.2. Customer Remedies. The Licensor and its suppliers' entire liability and your exclusive remedy for any breach of the foregoing warranty shall be at the Licensor's option: (i) return of the purchase price paid for the license, if any, (ii) replacement of the defective media in which the Product is contained, or (iii) correction of the defects, "bugs" or errors within reasonable period of time. You must return the defective media to the Licensor at your expense with a copy of your receipt. Any replacement media will be warranted for the remainder of the original warranty period.

5.3. NO OTHER WARRANTIES. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM TO THE EXTENT TO WHICH THE SAME CANNOT OR MAY NOT BE EXCLUDED OR LIMITED BY LAW APPLICABLE TO YOU IN YOUR JURISDICTION, THE PRODUCT IS PROVIDED "AS-IS" WITHOUT ANY WARRANTY WHATSOEVER AND THE LICENSOR MAKES NO PROMISES, REPRESENTATIONS OR WARRANTIES, WHETHER EXPRESSED OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE, REGARDING OR RELATING TO THE PRODUCT OR CONTENT THEREIN OR TO ANY OTHER MATERIAL FURNISHED OR PROVIDED TO YOU PURSUANT TO THIS AGREEMENT OR OTHERWISE. YOU ASSUME ALL RISKS AND RESPONSIBILITIES FOR SELECTION OF THE PRODUCT TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE PRODUCT. THE LICENSOR MAKES NO WARRANTY THAT THE PRODUCT WILL BE ERROR FREE OR FREE FROM INTERRUPTION OR FAILURE, OR THAT IT IS COMPATIBLE WITH ANY PARTICULAR HARDWARE OR SOFTWARE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT OF THIRD PARTY RIGHTS, INTEGRATION, SATISFACTORY QUALITY OR FITNESS FOR ANY PARTICULAR PURPOSE WITH RESPECT TO THE PRODUCT AND THE ACCOMPANYING WRITTEN MATERIALS OR THE USE THEREOF. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON IMPLIED WARRANTIES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU. YOU HEREBY ACKNOWLEDGE THAT THE PRODUCT MAY NOT BE OR BECOME AVAILABLE DUE TO ANY NUMBER OF FACTORS INCLUDING WITHOUT LIMITATION PERIODIC SYSTEM MAINTENANCE, SCHEDULED OR UNSCHEDULED, ACTS OF GOD, TECHNICAL FAILURE OF THE SOFTWARE, TELECOMMUNICATIONS INFRASTRUCTURE, OR DELAY OR DISRUPTION ATTRIBUTABLE TO VIRUSES, DENIAL OF SERVICE ATTACKS, INCREASED OR FLUCTUATING DEMAND, AND ACTIONS AND OMISSIONS OF THIRD PARTIES. THEREFORE, THE LICENSOR EXPRESSLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY REGARDING SYSTEM AND/OR SOFTWARE AVAILABILITY, ACCESSIBILITY, OR PERFORMANCE. THE LICENSOR DISCLAIMS ANY AND ALL LIABILITY FOR THE LOSS OF DATA DURING ANY COMMUNICATIONS AND ANY LIABILITY ARISING FROM OR RELATED TO ANY FAILURE BY THE LICENSOR TO TRANSMIT ACCURATE OR COMPLETE INFORMATION TO YOU.

5.4. LIMITED LIABILITY; NO LIABILITY FOR CONSEQUENTIAL DAMAGES. YOU ASSUME THE ENTIRE COST OF ANY DAMAGE RESULTING FROM YOUR USE OF THE PRODUCT AND THE INFORMATION CONTAINED IN OR COMPILED BY THE PRODUCT, AND THE INTERACTION (OR FAILURE TO INTERACT PROPERLY) WITH ANY OTHER HARDWARE OR SOFTWARE WHETHER PROVIDED BY THE LICENSOR OR A THIRD PARTY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL THE LICENSOR OR ITS SUPPLIERS OR LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF DATA, LOSS OF GOODWILL, WORK STOPPAGE, HARDWARE OR SOFTWARE DISRUPTION IMPAIRMENT OR FAILURE, REPAIR COSTS, TIME VALUE OR OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT, OR THE INCOMPATIBILITY OF THE PRODUCT WITH ANY HARDWARE SOFTWARE OR USAGE, EVEN IF SUCH PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LICENSOR'S TOTAL LIABILITY TO YOU FOR ALL DAMAGES IN ANY ONE OR MORE CAUSE OF ACTION, WHETHER IN CONTRACT, TORT OR OTHERWISE EXCEED THE AMOUNT PAID BY YOU FOR THE PRODUCT. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION. FURTHERMORE, BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

6. Indemnification

6.1. Indemnification for Violations. Your Operating of the Product, your accessing your account with Licensor and your entering into this Agreement constitutes your consent and agreement to defend, indemnify and hold harmless Licensor and its affiliated companies, employees, contractors, officers and directors from any claim or demand, including reasonable attorney's fees arising out of your use of the Product in violation of this Agreement.

SPECIAL PROVISION APPLICABLE TO U.S. PERSONS AND ENTITIES.

7. U.S. Government-Restricted Rights.

7.1. Notice to U.S. Government End Users. The Product and accompanying Documentation are deemed to be "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," respectively, as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights, including any use, modification, reproduction, release, performance, display or disclosure of the Product and accompanying Documentation, as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States.

7.2. Export Restrictions. You acknowledge and agree that the Product may be subject to restrictions and controls imposed by the Export Administration Act and the Export Administration Regulations of the United States (the "Acts"). You agree and certify that neither the Product nor any direct product thereof is being or will be used for any purpose prohibited by the Acts. You may not Operate, download, export, or re-export the Product (a) into, or to a national or resident of, any country to which the United States has embargoed goods, or (b) to anyone on the United States Treasury Department's list of Specially Designated Nationals or the U.S. Commerce Department's Table of Deny Orders. By downloading or using the Product, you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country or on any such list. You acknowledge that it is your sole responsibility to comply with any and all government export and other applicable laws and that the Licensor has no further responsibility for such after the initial license to you. You warrant and represent that neither the U.S. Commerce Department, Bureau of Export Administration nor any other U.S. federal agency has suspended, revoked or denied your export privileges.

8. Your Information and the Licensor's Privacy Policy

8.1. Privacy Policy. You acknowledge receipt of and agree to the Licensor's privacy statement which is made available to you in connection with installation and is set forth in full at http://www.elcomsoft.com/privacy.html. You hereby expressly consent to the Licensor's processing of your personal data (which may be collected by the Licensor or its distributors) according to the Licensor's current privacy policy as of the date of the effectiveness hereof which is incorporated into this Agreement by reference. By entering into this Agreement, you agree that the Licensor may collect and retain information about you, including your name and email address. The Licensor employs other companies and individuals to perform certain functions on its behalf. Examples include fulfilling orders, delivering packages, sending postal mail and e-mail, removing repetitive information from customer lists, analyzing data, providing marketing assistance, processing credit card payments, and providing customer service. They have Access® only to personal information needed to perform their functions, but may not use it for other purposes. The Licensor publishes a privacy policy on its web site and may amend such policy from time to time in its sole discretion. You should refer to the Licensor's privacy policy prior to agreeing to this Agreement for a more detailed explanation of how your information will be stored and used by the Licensor. If "you" are an organization, you will ensure that each member of your organization (including employees and contractors) about whom personal data may be provided to the Licensor has given his or her express consent to the Licensor's processing of such personal data. Personal data will be processed by the Licensor or its distributors in the country where it was collected.

8.2. Public Announcements. The Licensor may identify you to the public as a customer of the Licensor and describe in a customer case study the services and solutions delivered by the Licensor to you. The Licensor may also issue one or more press releases, containing an announcement of the execution and delivery of this Agreement and/or the implementation of the Product by you. Nothing contained in this Section shall be construed as an obligation by you to disclose any of your proprietary or confidential information to any third party. In addition, you may opt-out from this Section by writing an opt-out request to the Licensor at info@elcomsoft.com.

9. Miscellaneous.

9.1. Governing Law; Jurisdiction and Venue. This Agreement shall be governed by and construed and enforced in accordance with the laws of the Russian Federation without reference to conflicts of law rules and principles. To the extent permitted by law, the provisions of this Agreement shall supersede any provisions of the Uniform Commercial Code as adopted or made applicable to the Products in any competent jurisdiction. This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly disclaimed and excluded. The courts within the Russian Federation shall have exclusive jurisdiction to adjudicate any dispute arising out of this Agreement. You agree that this Agreement is to be performed in the Russian Federation and that any action, dispute, controversy, or claim that may be instituted based on this Agreement, or arising out of or related to this Agreement or any alleged breach thereof, shall be prosecuted exclusively in the federal or state courts in of the Russian Federation and you, to the extent permitted by applicable law, hereby waive the right to change venue to any other state, county, district or jurisdiction; provided, however, that the Licensor as claimant shall be entitled to initiate proceedings in any court of competent jurisdiction.

9.2. Period for Bringing Actions. No action, regardless of form, arising out of the transactions under this Agreement, may be brought by either party hereto more than one (1) year after the cause of action has occurred, or was discovered to have occurred, except that an action for infringement of intellectual property rights may be brought within the maximum applicable statutory period.

9.3. Entire Agreement; Severability; No Waiver. This Agreement is the entire agreement between you and Licensor and supersedes any other prior agreements, proposals, communications or advertising, oral or written, with respect to the Product or to subject matter of this Agreement. You acknowledge that you have read this Agreement, understand it and agree to be bound by its terms. If any provision of this Agreement is found by a court of competent jurisdiction to be invalid, void, or unenforceable for any reason, in whole or in part, such provision will be more narrowly construed so that it becomes legal and enforceable, and the entire Agreement will not fail on account thereof and the balance of the Agreement will continue in full force and effect to the maximum extent permitted by law or equity while preserving, to the fullest extent possible, its original intent. No waiver of any provision or condition herein shall be valid unless in writing and signed by you and an authorized representative of Licensor provided that no waiver of any breach of any provisions of this Agreement will constitute a waiver of any prior, concurrent or subsequent breach. Licensor's failure to insist upon or enforce strict performance of any provision of this Agreement or any right shall not be construed as a waiver of any such provision or right.

9.4. Contact Information. Should you have any questions concerning this Agreement contact us at legal@elcomsoft.com.

© 1998-2004 ElcomSoft Co. Ltd. All rights reserved. The Product, including the Software and any accompanying Documentation, are copyrighted and protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.


System Requirements

Advanced Office Password Recovery requires the following system configuration to run properly:

· Pentium or higher CPU
· Operating system: Windows® 2000, Windows® XP, Windows® Server 2003 or Windows® Vista
· About four megabytes of free space on hard disk
· Some features may require Administrative Rights


Supported File Types and Passwords

Advanced Office Password Recovery has three Editions: Lite, Standard and Professional. Here is the list of supported File Types and Passwords:

 | AOPR Home | AOPR Standard | AOPR Professional
Microsoft® Word® (versions: 2.0, 6.0, Word® 95, Word® 97, Word® 2000, Word® XP, Word® 2003, Word® 2007)
Password to Open | Yes | Yes | Yes
Password to Modify | Yes | Yes | Yes
Document Protection Password | Yes | Yes | Yes
VBA Project Password | No | Yes | Yes
Microsoft® Excel® (versions: 3.0, 4.0, Excel® 95, Excel® 97, Excel® 2000, Excel® XP, Excel® 2003, Excel® 2007)
Password to Open | Yes | Yes | Yes
Password to Modify | Yes | Yes | Yes
Workbook Password | Yes | Yes | Yes
Shared Workbook Password | Yes | Yes | Yes
Sheet Passwords | Yes | Yes | Yes
VBA Project Password | No | Yes | Yes
Unlocking XLA Add-In | No | Yes | Yes
Microsoft® Access® (versions: 2.0, Access® 95, Access® 97, Aceess 2000, Access® XP, Access® 2003, Access® 2007)
Password to Open | No | Yes | Yes
User and Group Level Passwords | No | No | Yes
Database Owner and Security ID | No | No | Yes
VBA Project Password (supported through VBA Backdoor feature only) | No | No | Yes
Microsoft® Outlook® (versions: Outlook® 97, Outlook® 2000, Outlook® XP, Outlook® 2003, Outlook® 2007)
Password to Open (PST-Files) | No | Yes | Yes
VBA Project Password | No | Yes | Yes
E-Mail Accounts stored Passwords | No | Yes | Yes
Microsoft® PowerPoint® (versions: 4.0, PowerPoint® 95, PowerPoint® 97, PowerPoint® 2000, PowerPoint® XP, PowerPoint® 2003, PowerPoint® 2007)
Password to Open | No | No | Yes
Password to Modify | No | No | Yes
VBA Project Password | No | No | Yes
Microsoft® OneNote® (versions: 2003 with SP1 and above)
Password to Open | No | No | Yes
Microsoft® Visio® (versions: 4.0, 5.0, Visio® 2000, Visio® 2002)
VBA Project (in some versions supported only through VBA Backdoor) | No | No | Yes
Microsoft® Publisher
VBA Project Password | No | No | Yes
Microsoft® Project®
Password to Open | No | No | Yes
Password to Modify | No | No | Yes
VBA Project Password | No | No | Yes
Microsoft® Money (versions: 2.0, 3.0, 4.0, 5.0, Money 97, Money 99, Money 2000, Money 2002, Money 2003, Money 2004, Money 2005, Money 2006, Money 2007, Money 2008)
Password to Open | No | No | Yes
Stored MS Passport Passwords | No | No | Yes
Microsoft® Backup (Windows® 95/98)
Password to Open | No | No | Yes
Microsoft® Schedule+
Password to Open | No | No | Yes
Microsoft® Mail
MMF File Passwords | No | No | Yes
Microsoft® Internet Explorer
Content Advisor Password | Yes | Yes | Yes
All Applications with VBA
VBA Backdoor Feature | No | No | Yes


Getting Help in AOPR

When AOPR is the active window pressing the function key F1 will give you AOPR's comprehensive help file. Alternatively go to the menu bar, select "Help | Help Contents".

Help for particular controls:

Right-click on any control to display a "What's This?" menu that leads to a description of the control. This works with menu items as well. This way, if you are uncertain about a control's function or impact help is at hand.


Contacting us

For Technical Support please use the following form:

http://www.crackpassword.com/support/support.php

You can also contact our Customer Service, Sales or Legal Department at:

http://www.elcomsoft.com/company.html

Our Fax numbers:

+1 866 448-2703 (US and Canada, toll-free)

+44 870 831-2983 (UK)
+49 18054820050734 (Germany)

Please write in English language only.


Where to get the Latest Version

You can download the latest version of AOPR from our Website:

http://www.elcomsoft.com/aopr.html

Other Password Recovery products (for ZIP, ARJ, RAR and ACE archives; Microsoft® Outlook® Express and Internet Explorer; Lotus Organizer, Lotus 1-2-3, Lotus WordPro, Lotus Approach; Corel Paradox, WordPerfect and QuattroPro; Symentec ACT!, Intuit Quicken and QuickBooks, Adobe Acrobat PDF, email clients, instant messengers, Windows® 2000/XP Encrypting File System on NTFS, Windows® NT/2000/XP user passwords, Windows® PWL/RAS/dial-up/VPN/shares/asterisked passwords) are available at:

http://www.elcomsoft.com/prs.html


Selecting a file

To select a file you want to recover the password(s) for simply press the "Open File" button (or select the "File | Open File" menu item) and browse for the appropriate file (or press on a small arrow at the right to load a file you have been working with recently).

File Format will be recognized automatically with corresponding message in the Log Window. If the specified File Format is not supported by AOPR, or it's corrupted, or used by another application – the appropriate error message will be displayed.

You can clear the Recent Files list selecting the "File | Clear Files History" menu item.


Getting results

After the File selection, the dialog box with results will be displayed automatically. The following situations may occur as the result of the File Processing:

· All or some Passwords were recovered. The dialog box with passwords is displayed. Password fields may contain those auxilary messages:
· <none> - the password is not set;
· <cannot be found instantly> - the password cannot be recovered instantly, you must select the Attack Options and Start the Attack to recover this password. You can Create a Project to save the Attack parameters to the file.
· <can be changed> - the password cannot be recovered, but can be changed or deleted. In this case a Dialog with results contains two additional buttons: "Change Password" and "Delete Password". You can change or delete the password simply clicking those buttons. Selected File must not be write-protected to complete this operation successfully.
· <not available> - the Password cannot be recovered by some reason. The possible reasons are:
· Selected File Format does not have such password
· Password that decrypts a document is not found yet
· <error> - an error occured while Password Recovery process. The error message box is displayed to explain the error.
· <not supported> - the Password is not supported by current version of AOPR.
· <not displayed in trial version> - the Password was found but its length exceeds the Trial Version Limitations. You must purchase AOPR License to see that Password.

Any found Password can be copied to the Clipboard. Simply press the "Copy to Clipboard" button located at the right of the corresponding Password. You can insert the copied Password to any field by pressing the "Ctrl-V" buttons combiantion (usually the Paste menu item is disabled, but the keyboard shortcut always works). Passwords which contains international symbols can be displayed incorrectly on Windows® 95, 98 and Me. These Windows® versions don't support Unicode and therefore we recommend to use Windows® NT, 2000 or XP to recover passwords with international symbols.

Path to the selected File is displayed under "File Path:" caption. You can open the File simply clicking the "Open..." button.

· File Format is not supported. This may occur when you're selecting file which Format is not supported by AOPR. Please see the "Supported File Types and Passwords" section to learn what File Formats are supported by AOPR.

· An Error occured. The Error message box is displayed.

Please examine the Passwords Manual to get more information about Document Passwords.


Creating a project

If you need to recover the "open" password for Word®/Excel® 97/2000/XP, PowerPoint® XP or Money 2002/2003/2004 document and this password cannot be recovered instantly, you may create a project. Project file contains all information about the source File, selected Options and Character Set. You can simply copy the Project File to another computer and you don't need to copy the source File -- the Project contains all information needed to recover a Password.

When you open the file for password recovery and this Password cannot be recovered instantly, the program creates a new Project automatically. Project files have an ".OPR" extension. By default the Project name is equal to the source File name. For example if you're opening the "test.doc" file, the Project name is "test.opr".


Saving a project

When the file is loaded, you can save your project -- all the changes you've made will be reflected in the project file. The name for the project is selected automatically based on the name of the file. If you want to give an alternative name – use "File | Save Project As..." menu item. If you don't want to change the name, just use the "File | Save Project" menu item.

If a Project was created and you're trying to quit AOPR, the Saving Project Prompt will be displayed. You can disable this Prompt unckecking the "Prompt if project was changed" checkbox at the Options tab.


Recovering E-Mail account passwords

Passwords to Microsoft® Outlook® E-Mail Accounts which were stored locally can be easily recovered by clicking the "MS Outlook®" button or selecting the "Internet | Outlook® Mail Accounts..." menu item.

If MS Outlook® has any e-mail accounts configured the following dialog will be displayed:

The following information is given: Server Address, Login, Password, Server Type (POP3, IMAP or HTTP) and the auxilary string PST (Password Storage Type).

Learn more about Password Storage Types


Outlook® Password Storage Types

Typically, Microsoft® Outlook® stores all passwords in the Protected Storage subsystem. All passwords are stored in system Registry in encrypted form. However, some old versions can store account passwords in a plain (unencrypted) form, or encrypted with weak algorithm (logical XOR operation). In some cases, AOPR can show wrong passwords, for example if your system Registry is damaged, or you do not have enough rights (permissions) to Access® some keys in Registry, or Protected Storage subsystem is not installed on your computer. Displaying of Password Storage Types will help you to identify why some passwords are displayed incorrectly. Here is a brief description of Password Storage Types:

PS - Password is successfully retrieved and stored in Protected Storage.
O3 - Password is stored in System Registry by Outlook® 2003
OL - Password is successfully retrieved and stored in system Registry using "old-style" weak encryption algorithm.
NP - Password was not found in Protected Storage, in some cases it indicates that user name is used as password, or Protected Storage subsystem is damaged.
UN - Unknown Password Storage Type. You may use version of Outlook® that is not supported by AOPR, or your system Registry is damaged.
ER - Error in password retrieving.
NR - Password was not retrieved. You do not have enough rights to unlock the Protected Storage, or Protected Storage is not installed on your machine.
NO - Password for this account is absent.

If the Storage Type is "UN", "ER" or "NR", please send your Debug Log to ElcomSoft Technical Support.


MS Passport stored passwords

To recover MS Passport authentication passwords stored locally by Microsoft® Money simply click the "MS Passport" button. If the passwords are stored locally on the computer the following dialog is displayed:

Here you can see the user's E-Mail and Passport Password.

You can copy any found Password to the Clipboard.


IE Content Advisor Password

Internet Explorer Content Advisor Password can be simply changed or deleted by clicking the "Internet CA" button.

The following dialog will be displayed:

Check the "Save old Password" checkbox to save the old Password Record. You can restore the old Password clicking the "Restore saved Password" button. System reboot may be required to complete the Content Advisor Password changing.


VBA Backdoor

If you have a document with password-protected VBA project, but for some reason the password cannot be recovered, or the password shown by AOPR cannot be entered (for example it contains non-English characters that cannot be entered using your keyboard), or AOPR only allows to change or remove that password (but you would not like to do that), you can use the "VBA backdoor" feature. It works for all applications which can create VBA projects in their documents, not only Microsoft® Office (for example, Corel WordPerfect Office and AutoCAD).

With that feature, the password is not being recovered at all. However, you're able to open a VBA project (to view/edit the code). Of course you should have the application (this document has been created with, or later version) installed.

Just press the "VBA Backdoor" button on AOPR toolbar (or select VBA Backdoor | Open file through backdoor menu item). The program will prompt you for the document file.

Select the file and the following dialog will be displayed:

Here you set the additional Command Line parameters if needed. AOPR will run the application (with a special way) this document has been created with, and load your document into it. Now go into VBA properties (typically, it is under "Tools | Macro | Visual Basic Editor" or "Tools | VBAProject Properties". You'll be prompted for the Password. Enter ANY one (e.g., xyz), and it will be accepted!

If your document has been created in Microsoft® Office 97, you can use Office 2000 or Office XP, too. However, the reverse is not true: if you would like to unprotect Office 2000/XP document, but have only Office 97 installed, AOPR will still run it (with a warning message), but Backdoor will not work.

In addition (for example, in the case if the extension of the protected files is not registered in the system, so AOPR don't know what program to execute), you can just run the desired application (the one with VBA support: Word®, Excel®, FrontPage, AutoCad etc) using the same technology: select "VBA Backdoor | Launch application" menu item. Backdoor will be activated, and for all documents you will open in that application, any password will be accepted.

Please note that this backdoor is supported only for a limited number of versions of VBA engine (VBE.DLL or VBE6.DLL) – the ones that were available when current version of AOPR has been released (the latest one comes with Microsoft® Office 2003). When the application is executed, AOPR prints (into the Log Window) the size and version number of that DLL. If your one is not supported yet, AOPR uses "generic" patch, which may fail under certain circumstances.


Benchmark

You can use the Benchmark feature to estimate the speed of your computer and calculate the time needed to recover the Strong Password. Just press the appropriate "Calculate" button on the "Benchmark" tab. To determine the time needed to recover the password, simply divide the total number of passwords to the speed displayed in the Benchmark dialog. Total number of passwords is just the number of the characters in selected character set in a power of the password length.


Type of Attack

If a Password cannot be recovered instantly you must use one of the Attack Types. The following Attack Types are available in AOPR:

· Brute-Force Attack. This Attack will try all possible characters combinations in the specified Range. The Range is defined by Password Length and Brute-Force Range Options.
· Brute-Force with Mask. This Attack is useful when you remeber a part of Password. For example if you remember that length of your password was 5 characters and password begins from "A", you can define the mask "A????" and save the time by trying 4 symbols instead of 5. A Password Mask must be defined to use this Attack.
· Dictionary Attack. This Attack verifies the words stored in the specified Dictionary File. The dictionary is just the text (ASCII file) with one work at a line; the lines are separated with line breaks. You can set additional Dictionary Options for this Attack. A Dictionary Attack is much more faster than Brute-Force so we recommend to run it first. AOPR has supplied with one small Dictionary File containing English words. Additional Dictionaries can be obtained on a CD with any Elcomsoft program.

To select the needed Attack Type click the corresponding radio button under "Type of Attack for Documents with Strong Encryption".


Preliminary Attack

Preliminary Attack is the set of predefined Attacks which are tried when Password cannot be recovered instantly. When this Attack is running the following Dialog is displayed:

Preliminary Attack consists of four independed Attacks which can be enabled/disabled in program Options.

· Found Passwords Attack. This Attack is always available. It checks all Passwords that were found in the document prior to finding the current Password. For example Microsoft® Word® Files may have a VBA Project Password. This Password is checked first beacuse many users uses the same Passwords in different places.
· Password Cache Attack. This Attack checks the Password Cache (all passwords found in other documents by AOPR). This Attack can be enabled/disabled by "Password Cache Preliminary Attack" checkbox at the "Options" tab.
· Preliminary Dictionary Attack. Performs the Dictionary Attack by Default Dictionary with "Smart Mutations" Option. This Attack can be enabled/disabled by "Preliminary Dictionary Attack" checkbox at the "Options" tab.
· Preliminary Brute-Force Attack. Performs the Brute-Force Attack by several predefined Character Sets. This Attack can be enabled/disabled by "Preliminary Brute-Force Attack" at the "Options" tab.

Preliminary Attack may take several minutes to run. You can stop it at any time clicking the "Stop" button.


Password length

This is one of the most important options affecting checking time. You can check all 4-character (and shorter) passwords in a few minutes. But for longer passwords you have to have patience and/or some knowledge about the password (including the character set which has been used, or even better – the mask).

AOPR allows you to set a Password Length range by defining the Minimal and Maximal Length. These values can be set using the "Password Length" controls at the "Brute-Force" tab. The minimal length cannot be set to a value greater than maximal one. In this case the appropriate error message will be displayed.

If the Minimal and Maximal Lengths are not the same, the program tries the shorter passwords first. For example, if you set Minimal=3 and Maximal=7, the program will start from 3-character Passwords, then try 4-character ones and so on -- up to 7. While AOPR is running, it shows the current Password Length, as well as the current Password, Average Speed, Elapsed and Remaining Time, and Total and Processed number of passwords (some of these Parameters are displaying in the "Extended Statistics" Dialog. All of this information except average speed and elapsed time, which are global, is related only to the current length.


Brute-force range options

In MS Office documents passwords may contain the following Characters: latin letters (both small and capital), digits, special symbols (like @, #, $ etc) and national languages symbols. You can select these Ranges separately, or define your own Password Range. To define your own range, check the box "Custom charset" and press the "Custom charset…" button.

The Predefined Passwords Ranges contain the following Characters:

· "a - z": abcdefghijklmnopqrstuvwxyz
· "A - Z": ABCDEFGHIJKLMNOPQRSTUVWXYZ
· "0 - 9": 0123456789
· "!@..." (special characters): !@#$%^&*()_+-=<>,./?[]{}~:;`'|"\
· "All Printable": contains all Ranges defined above


Password mask

If you already know some characters in the Password, you can specify the Mask to decrease the total number of passwords to be verified. At the moment, you can set the Mask only for fixed-length Passwords, but doing this can still help.

For example, you know that the Password contains 8 characters, starts with 'x', and ends with '99'; the other symbols are small or capital letters. So, the Mask to be set is "x?????99", and the charset has to be set to All caps and All small. With such options, the total number of the passwords that AOPR will try will be the same as if you're working with 5-character passwords which don't contain digits; it is much less than if the length were set to 8 and the All Printable option were selected. In the above example, the '?' chars indicate the unknown symbols.

If you know that the Password contains an occurrence of the Mask character '?', you can choose a different Mask Character to avoid having one character, '?', represent both an unknown pattern position and a known character. In this case, you could change the Mask Symbol from '?' to, for example, '#' or '*', and use a mask pattern of "x######?" (for mask symbol '#') or "x******?" (for mask symbol '*').

The Mask and Mask Symbol can be defined in the "Mask / Mask Character" control at the "Brute-Force" tab.


Custom Charset

You can define your own Character Set for the Brute-Force Attack. Click the "Define Custom Charset" button at the "Brute-Force" tab. The following Dialog will appear:

You can enter the Custom charset either in text and HEX format. In HEX format the Unicode symbols must be separated by Spaces. You can Load, Save, Clear and Add Charset by pressing the corresponding buttons. After entering the Charset AOPR checks for duplicate characters and removes it automatically.

The following charsets are included in AOPR distribution:

Arabic (all Arabic symbols according to Unicode standard)

Armenian

Czech (splitted to caps and small letters)

French (splitted to caps and small letters)

German (splitted to caps and small letters)

Greek (all symbols according to Unicode standard)

Greek (letters only)

Hebrew

Japanese (Katakana)

Japanese (Hiragana)

Korean (Hangul Jamo)

Russian (Cyrillic)

If the "Additional charsets" option was selected in installation, these charsets are placed in the "\charsets" directory.


Dictionary Options

At first you have to select the desired Dictionary File. Click the "Select Dictionary File..." button at the "Dictionary" tab and select the needed file.

In that Attack the program will try all words from it as passwords for the selected Document. It really helps when the Password has some meaning, i.e. the whole word. You can select an option "Smart mutations" or "Try all possible upper/lower case combinations" – it may really help if you're not sure about the register the Password has been typed in. For example, let's assume that the next word in dictionary is «PASSword» (the case, actually, doesn't matter here). With the second option enabled, the program will just try all possible combinations, like:

password

passworD

passwoRd

passwoRD

passwOrd

…

PASSWORd

PASSWORD

However, checking all such combinations takes a lot of time: in the example above, the program will check 2^8 words (i.e. 256) instead of one. With Smart Mutations, you can eliminate a number of "virtually impossible" combinations, and here are all the words which will be checked:

PASSword (as is)

passWORD (reversed)

password (all lower case)

PASSWORD (all upper case)

Password (first uppercase, rest lowercase)

pASSWORD (first lower case, rest uppercase)

PaSSWoRD (elite: vowels in lc, others in uc)

pAsswOrd (noelite)

PaSsWoRd (alt/1)

pAsSwOrD (alt/2)

So, it makes only 10 combinations for each word.

The "Start line #" option allows you to start an Attack from a given line (in dictionary); if you'll interrupt the attack, the "current" line number will be written there (and saved to the Project File, of course).


Default Dictionary

Default Dictionary is used when the Preliminary Attack is running. To select the Default Dictionary click the "Select Default Dictionary..." at the "Dictionary" tab. Please note, this Dictionary Attack is running with "Smart Mutations" Option and a long Dictionary File may slow down the Preliminary Attack.


Auto-Save

If you'd like AOPR to save its state periodically, please check the "Enable Auto-Save" option at the "Options" tab, and select the time (in minutes) between saves in the "Intervals" control. If you do that, AOPR will periodically update a Project File – exactly as if you select the "Save project" menu item yourself. Even if your computer stops responding (or if power fails), you'll be able to restore breaking the Password from the last saved state. Enabling this option is strongly recommended.


Other options

AOPR Options can be adjusted at the "Options" tab.

Priority Options: Idle or High. If you want to start AOPR as a "background" process, which will work only when the CPU is in an idle state, you may select "Idle". If you want to increase performance, select "High", but be aware that this will decrease the performance of *all other* applications running on your computer.

"Enable Program Log" option instructs the program to write all messages (the same as in Log Window) to the "aoxppr.log" file – for future analysis.

"Enable Debug log" option allow to create a separate log file ("aoxppr_debug_log.txt") with the detailed information about Outlook® mail accounts recovery.

Folder for log files: select the folder where "aoxppr.log" and "aoxppr_debug_log.txt" files will be created.

Clear files history is not an option, actually, but just a button – press it to clear the list of files you opened for password recovery recently. This button is located at the "Recovery" tab.

If you select the Minimize to tray option, the program will hide itself from the screen when being minimized (so you will not see an appropriate button on Windows® toolbar), but small icon will be created in the tray (near the system tray). Double-click on it to restore.

By disabling the Prompt if project was changed option, you instruct AOPR not to display the messages like "The project has been changed. Save?", when you've changed some options and open an another project, or creating a new one.

The Progress bar update interval ("Progress, ms") option allows you to set how often the program will update the progress bar and display the password which is currently verified. Higher value will give you slightly better speed; the recommended one is 500 (milliseconds). If the interval is set to 0, the progress bar will not be updated at all (but you still will be able to stop the process, of course, and resume from that point later).

At the "Options" tab you can also enable or disable the Preliminary Attacks.


About Password Cache

Password Cache is a storage designed to keep all passwords that were found while AOPR worked. These passwords are stored in the Unicode format so passwords which contain international symbols can be stored too. To prevent an unauthorized Access® the Password Cache can be protected by a Password. In this case a Password Cache File is encrypted by RC4 cryptographic algorithm and only SHA-1 Hash is stored in a File to verify a Password.

Password Cache is used in the Preliminary Attack. When a Document Password cannot be recovered instantly AOPR checks the Password Cache first. In some cases it helps to recover a Password more faster.

At the first Program start the cache File with name "aopr.pwc" is created. You can Manage Password Cache Files at the "Password Cache" tab.


Managing Password Cache Files

All Password Cache controls are located at the "Password Cache" tab.

To select a Password Cache File click the "Select File..." button and pick the needed file.

To Protect a Cache File by a Password click the "Set Password..." button and enter the Password in the appeared Dialog.

You can also View and Clear Cache File by clicking the corresponding buttons and disable writing all found passwords to cache by "Add all found Passwords to the Cache" option.


Passwords Manual

Strong Passwords

Word®/Excel® Password to Open (Office 97/2000)

Word®/Excel®/PowerPoint® Password to Open (Office XP and later)

Microsoft® Money 2002 Password to Open

Weak Passwords

Word®/Excel® Password to Open (Weak Encryption)

Visual Basic for Applications (VBA)

Microsoft® Access®

Access® Share-Level (Database) Password, Owner Information

Access® User-Level Passwords

Microsoft® Excel®

Excel® Document - all Passwords except the one to Open

Excel® Add-In (XLA) Protection

Pocket Excel®

Microsoft® Word®

Word® Document - all Passwords except one to Open

Microsoft® Outlook®

Outlook® Personal Storage File Password

Outlook® E-Mail Accounts Passwords

Microsoft® PowerPoint®

Microsoft® Money

Microsoft® Project

Microsoft® Schedule+

Microsoft® Backup

Microsoft® Internet Explorer (Content Advisor)

Microsoft Mail


Word®/Excel® Password to Open (Office 97/2000)

This Password can be assigned in Microsoft® Word® and Excel®, version 97 or later. To set the password (in English version of Microsoft® Word®) select the "Tools | Options" menu item, then select the "Security" tab and enter the Password in the "Password to open" field.

When you assign the File Opening Password to your Word® or Excel® 97/2000 document (so the user will have to enter it to open the file), Microsoft® Office encrypts the Document using the RC4 cryptographic algorythm. Microsoft® Office uses the MD5 hash to verify a Password. Therefore this Password cannot be recovered instantly.

AOPR can recover a lost Password using the Brute-Force and Dictionary Attacks. For the Brute-Force Attack, you have to set up the Password Length (it is limited to 15 characters) and Password Range (which, by the way, can include national symbols). Don't expect to recover long (8+ characters) and complex Passwords in a reasonable time, though.


Word®/Excel®/PowerPoint® Password to Open (Office XP)

Microsoft® Office XP (2002) and later supports three different levels of Password protection (see Microsoft® Knowledge Base Article - Q290112: General Information about Microsoft® Office XP Encryption):

Office 97/2000 Compatible Encryption

The default encryption method for Microsoft® Office XP is the Office 97/2000 Compatible Encryption method. This is the Office-proprietary encryption that is supported by Microsoft® Office 97/2000 (Word® and Excel®). Office 97/2000 Compatible continues to be the default Password algorithm to ensure backward compatibility and international document portability.

Weak Encryption (XOR)

This method equates to the Office 95 and older XOR encryption algorithms that are supported by earlier versions of Word® and Excel® and that are still used in Office 2000 when the system locale is France. This is a fast, simple algorithm, but it does not offer the best security. For files encrypted using this method, all Passwords are being recovered instantly.

Cryptographic Provider

This is a new encryption method introduced in Microsoft® Office XP. Basically, cryptographic service provider (CSP) is an independent software module that actually performs cryptography algorithms for authentication, encoding, and encryption; for more information, please visit Cryptographic Service Providers at Microsoft® site.

There are a few different cryptographic service providers developed by Microsoft® (some of them are available with every Windows® installation, while the others are installed only with Microsoft® Internet Explorer upgrades, Service Packs or High Encryption Packs ). Office XP Documents can be encrypted using any CSP that supports RC4 (a stream cipher) and SHA-1 (Secure Hash Algorithm). We have successfully tested AOPR on documents encrypted using the following CSPs:

Microsoft® Base Cryptographic Provider

Microsoft® Base DSS and Diffie-Hellman Cryptographic Provider

Microsoft® DH SChannel Cryptographic Provider

Microsoft® Enhanced Cryptographic Provider

Microsoft® Enhanced DSS and Diffie-Hellman Cryptographic Provider

Microsoft® RSA SChannel Cryptographic Provider

Microsoft® Strong Cryptographic Provider

Microsoft® Enchanced RSA and AES Cryptographic Provider (Prototype)

For the Documents using that encryption method, AOPR can run the same attacks as for Office 97/2000, i.e. Brute-Force and Dictionary – even at better speed. If an unknown CSP has been encountered (other than one from the list provided above), AOPR should still recover the password, at least if that CSP follows the Microsoft® specification/standard; otherwise, please contact technical support.

Microsoft® PowerPoint® XP and later uses only "Cryptographic Provider" encryption method.


Microsoft® OneNote® Password to Open

Microsoft® OneNote® beginning from version 2003 with Service Pack 1 allows to set a Password to a Notes File. This Password is strong and therefore cannot be recovered instantly.

AOPB can recover this Password using the Brute-Force and Dictionary Attacks.


Microsoft® Money 2002+ Password to Open

This Password can be set selecting the "File | Password Manager" menu item in Microsoft® Money 2002 and later. When you set this Password, the Money Database is encrypted using the RC4 Encryption Algorithm. Only Password Hash is stored in the Database to verify the Password. Therefore this Password cannot be recovered instantly.

AOPR can recover a lost Password using the Brute-Force and Dictionary Attacks. For the Brute-Force Attack, you have to set up the Password Length and Password Range (which, by the way, can include national symbols). In Money 2002-2005 all password symbols are capitalized (for example "Aaaa" and "AAAA" are the same Passwords). Therefore the Password Range cannot contain the small latin characters and the "a - z" Charset Option is disabled. In Money 2006, when using the MS Passport logon, a password can contain any characters.

Money 2003 and later can use Microsoft® Passport authentication to open a Database. In this case a Password for MS Passport Logon is a Database Password. Money 2003 allows to store MS Passport Passwords locally. These Passwords can be recovered in AOPR.


Office 2007: password to open

In Office 2007 Microsoft has significantly improved the password protection system.

Now the following applications allows to set the file opening password which is used to encrypt a document:

Word, Excel, PowerPoint, Access.

These programs uses AES encryption algorithm and the SHA-1 hash is used in password verification. The password verification now is very slowly. Only short and simple passwords can be recovered.


Word®/Excel® Password to Open (Weak Encryption)

This type of Encryption is used in the following Applications:

· Word®/Excel® 95 and older
· Word®/Excel® 97/2000 with French Regional Settings
· Word®/Excel® XP and later by selecting the "Weak Encryption (XOR)" Option.

When this Password is set the Document is encrypted by weak algorithm (XOR). It allows to recover the Password instantly. Just select the Document in AOPR and the Password will be displayed.


Visual Basic for Applications (VBA)

Microsoft® Visual Basic for Appications (VBA) allows to use a Password to protect Macros from reading their source code. When this Password is set a Password Record is appended to the VBA Macro Storage. Nothing is encrypted. In VBA version 5 the Password is stored encrypted by "XOR" logical operation. In VBA version 6 SHA-1 Password Hash is stored and Password cannot be recovered instantly. But we don't need to recover a Password to view the Macro source codes. We can modify or remove the Password Record.

AOPR shows the VBA Password if VBA version is 5 and allows to change or delete the Password if version is 6.

Professional Edition of AOPR has a "VBA Backdoor" Feature that allows to bypass VBA Password checking in any Application.


Access® Share-Level (Database) Password, Owner Information

MS Access® Share-Level (Database) Password can be set to a Database to prevent unauthorized acceess. In English version of Access® this Password can be set selecting the "Tools | Security | Set Database Password..." menu item. This Password is stored in an Access® File encrypted by weak algorithm (XOR). Therefore it can be recovered instantly by AOPR. In Access 2007 the password protection is improved. Database password can be recovered by brute-force or dictionary attack.

Under User-Level Security, users type a Password when they start Microsoft® Access®. Access® then goes out and reads a workgroup information file, where each user is identified by a unique identification code. Within the workgroup information file, users are identified as authorized individual users, and as members of specific groups, by their personal ID and password.

For Access® Databases (*.mdb) with User-Level Security, the program shows the following information:

• Access® version
• Share-Level (Database) Password
• Database Owner (Name and ID)
• List of Objects and their Owners

Here is an example:

In most cases, all you need is just the Database password – it is showing at the top of that window (please note that Access® 2.0 supports User-Level Security only, and so the Database Password will be always empty for Access® 2.0 files). You can use the Password shown by AOPR; for Access® 97 files, you're also able to change or delete it (using the appropriate buttons at the bottom), just don't forget to enable "Create backup copy" option.

However, if the database has User-Level Security set and workgroup administration file (system.mda or system.mdw) is not available (if it is there, you can just get all the user names and passwords from it – see next chapter for details), you will also need Database Owner information.

Database Owner is showing only in AOPR Professional. Standard Edition just shows the Database Password:

To gain an Access® to a File if User-Level Security Database is absent, you need to do the following:

• Run MS Access® (same version your file has been created with, as shown by AOPR).
• Create a new database (or open any existing not protected one).
• Go to Accounts setup (usually, it is in Tools | Security | User And Group Accounts), Users tab.
• Create a new user with name displayed by AOPR (without quotes; just type that name in "Name" drop-down combo box, and press the New button). Access® will open a new window with two fields -- Name and "Personal ID". In the second one, type the ID displayed by AOPR and press OK.
• Close Accounts window with OK and exit from Access®.
• Run Access® from the command line with the '/user' option, i.e.:

MSACCESS.EXE /user

• You'll be prompted for User Name and password. Type the Name you created and empty Password.
• Now open your (protected) database, and you should have all necessary permissions (as Database Owner).

For more information, please see the following Microsoft® articles:

About user-level security

Remove user-level security

Create, join, or fix workgroup information files

Manage user and group accounts

Types of permissions


Access® User-Level Passwords

Aceess Usel-Level Passwords are recovering instantly by AOPR.

For System Access® Databases (usually, system.mda or system.mdw), the program displays a window with two tabs – Groups information and Users information. The first one displays what groups the users belong to:

The second one displays the Passwords for all users:


Excel® Document - all Passwords except the one to Open

Microsoft® Excel® Document can have the folowing Passwords:

· Password to Open (can be Strong or Weak)
· Password to Modify (Write Protection Password)
· Book Password
· Shared Book Password
· Sheet Passwords
· VBA Project Password

All Excel® Passwords except Strong Password to Open are recovered instantly. When you open an Excel® Document AOPR shows the following Dialog:

Please note that some of these Passwords (shown by AOPR) may differ from ones originally set in Excel®. However, Excel® will accept them without problems.

You also can change or delete the VBA Password and Unlock Excel Add-In (XLA).


Excel® Add-In (XLA) Protection

When you save your Excel® Document as Add-In (with XLA extension) the VBA Macros source code cannot be viewed and modified. This Protection is implemented by setting the "XLA Flag" in the Excel® Document. AOPR can simply reset this Flag and after that you can see any VBA Macro source. XLA Add-In can be unlocked in the Excel® Passwords Dialog.


Pocket Excel®

Pocket Excel® Files (on Windows® CE and Windows® Mobile) may be protected by File Opening Password. This Password is stored in the File and can be recovered instantly by AOPR. All you need is to transfer the File from Pocket PC by ActiveSync and open it in the AOPR.


Word® Document - all Passwords except the one to Open

Microsoft® Word® Document can have the following Passwords:

· Password to Open (Strong or Weak)
· Password to Modify (Write Protection Password)
· Document Protection Password
· VBA Project Password

When you select a Word® Document in AOPR the following Dialog appears:

All Passwords except Strong Password to Open are recovering instantly. You can also change or delete the VBA Password.


Outlook® Personal Storage File Password

Microsoft® Outlook® allows to protect its Personal Storage File (with PST extension) by a Password. This Password can be set in Outlook® by editing the Personal Folders Properties. Only small Password Hash is stored in the File. Nothing is encrypted. Therefore this Password is recovering instantly by AOPR.

To get password to PST file (all versions of Outlook® are supported: 97, 98, 2000, 2002/XP and 2003), simply open it in AOPR. If the given File is corrupted, or used by another application, or not password-protected – appropriate error message will be displayed. Otherwise, the Password will be recovered immediately, shown in the message box and written to the Log Window.

Please note that in some cases, the Password recovered by AOPR is not the same as the one which has been originally set. That's due to encryption algorithm used in Outlook® – the original Password is not stored in the file. But that password (shown by AOPR) will be accepted by Outlook® without problems – just try. And of course, after logging into Outlook®, you'll be able to change that Password to any one, or just remove it.


Outlook® E-Mail Accounts Passwords

Microsoft® Outlook® can store Passwords to E-Mail accounts by setting the Option "Save Password" in the Account Properties. These Passwords are stored in System Registry and can be decrypted by AOPR. E-Mail Account Passwords are recovering instantly. Please note the Password can be recovered only in case when it's stored locally by Outlook®. Passwords which are not stored on local computer cannot be recovered at all.

Read more about recovering Outlook® E-Mail Accounts in AOPR


Microsoft® PowerPoint®

Microsoft® PowerPoint® prior to PowerPoint® XP allows to set only VBA Project Password.

PowerPoint® XP and later allows to set the following Passwords:

· Password to Open
· Password to Modify (Write-Protection)
· VBA Project Password

Password to Open is a Strong Password and can be recovered only by Brute-Force or Dictionary Attack. Read more about this Password.

Password to Modify can be recovered instantly. Just select the Document in AOPR and the following Dialog will appear:

You can copy any Password to Clipboard and open the PowerPoint® File.


Microsoft® Money

Microsoft® Money from 3.x to 2000 allows to set the Database Password. This Password is stored in the Database and can be recovered instantly by AOPR. Just select the File in AOPR.

Microsoft® Money 2002 and later Database Password cannot be recovered instantly. Read more about this Password.


Microsoft® Project

Microsoft® Project allows to set the following Passwords:

· Password to Open
· Password to Modify
· VBA Project Password

AOPR recovers these Passwords instantly except VBA Password which can be changed or deleted. To recover Passwords of MS Project File select the File in AOPR.


Microsoft® Schedule+

Microsoft® Schedule+ File Password can be recovered instantly by AOPR. Simply select the File.


Microsoft® Backup

AOPR can recover Passwords for Microsoft® Backup Files (in Windows® 95 and 98). Backup Password is stored in the File and can be recovered instantly. Select the File to recover a Password.


Microsoft® Internet Explorer (Content Advisor)

Microsoft® Internet Explorer allows to set the Password to restrict an access to certain sites. This feature is called "Content Advisor". The password for Content Advisor, unfortunately, cannot be recovered, but it is possible to change or remove it.


Microsoft® Mail

Passwords for Microsoft® Mail MMF-files are recovering instantly by AOPR. Just select a File.


Creating Debug Log

While recovering Microsoft® Outlook® Passwords (for E-Mail accounts and PST) there maybe some problems which we cannot resolve remotely because all source data is located on the user's computer and we cannot view this data to investigate the problem. We created the "Debug Log" feature which collects the needed data during password recovery process.

To create a Debug Log simply do the following:

· Launch AOPR
· Check the "Enable Debug Log" checkbox at the "Options" tab
· Close AOPR and launch it again
· Do the actions that leads to the Problem
· Close AOPR

The Debug Log will be located at the folder specified in the "Folder for Log Files" field at the "Options" tab. AOPR Debug Log file name is "aopr_debug_log.txt". Please send this file to our Customer Support and we'll try to resolve the Problem.


Frequently Asked Questions (FAQ)

· General
· What is AOPR for?
· What are the system requirements for AOPR?
· What are the differences between Home, Standard and Professional editions?
· How can I try AOPR?
· How the trial version of AOPR is limited?
· Why don't you have full-featured time-limited version?
· Registration
· How much does it cost?
· What methods of payment do you support?
· How long does it take to process an order?
· Can I upgrade from one edition to another?
· I have lost AOPR registration code, do I need to purchase it again?
· If I purchase AOPR now, will I get discounts on new versions?
· Do you have an educational discount?
· Do you provide discounts for members of ASP (Association of Shareware Professional) or ESC (Educational Software Cooperative)?
· I have paid for the program, but have not received the program -- when to expect it?
· I have received the registration code, what do I do with it?
· Do you provide money-back warranty?
· Technical [weak passwords]
· How do I use the program?
· Sometimes the program says that password cannot be recovered, but can be removed or replaced. Why?
· For testing purposes, I have protected an Excel sheet with password, but AOPR shows something like "1b1b1b1b1b1b1". Is it a bug?
· AOPR has recovered some very strange password for my Outlook (*.pst) file -- it does not look like one I set. Why?
· I have opened my Outlook (*.pst) file, but only file password has been recovered. Can I also recover passwords to Outlook e-mail accounts?
· Does AOPR support Outlook Express (passwords to identities, e-mail and news accounts)?
· Can I recover passwords to web sites entered in Internet Explorer?
· I have found the password for VBA macro, but VB Editor still shows "Project is unviewable" message -- what can I do?
· What is "VBA Backdoor" feature, and how do I use it?
· Does "VBA Backdoor" works for non-Microsoft files/applications, and if yes, how?
· I have a Microsoft Money file that uses authorization through Microsoft Passport. Can I do something with it?
· Technical [strong passwords]
· What kind of passwords cannot be recovered instantly?
· What is dictionary attack?
· What is brute-force attack?
· So what to start from?
· I remember that my password is 12 characters long and contains special chars, is it possible to recover it?
· How to speed up the password recovery?
· My password uses some German (French, Japanese etc) characters, can I recover it?
· Support
· Do you have pre-sales support?
· What kind of support do you provide to customers?
· I have found a bug, how to report it?
· Can I suggest a feature?
· Other
· Is AOPR legal?
· What programming language AOPR is written with?
· Can you send me the source code of AOPR, or explain how it works?
· What are the customers of AOPR?
· Where your company is located?


What is AOPR for ?

Advanced Office Password Recovery (AOPR) is a program to recover lost or forgotten passwords to files and documents created in Microsoft Office components (such as Word, Excel, Access, Outlook etc) and some other Microsoft software (for example, Project, Visio, Money).

You can see the full list of supported file formats here.


What are the system requirements for AOPR ?

Advanced Office Password Recovery has been tested on Windows 98, Windows ME, Windows 2000, Windows XP and Windows 2003 Server. It should also work on Windows 95 and Windows NT 4.0, but only if some updates are installed. You will also need about two megabytes of free space on hard disk.


What are the differences between Home, Standard and Professional editions?

Home edition can recover passwords to Microsoft Word and Excel documents only: password to open, password to save, document protection password, workbook and worksheets passwords, just except VBA Project passwords. Please note that with this edition, you may operate the product as set in the License Agreement for non-commercial purposes in a non-business or non-commercial environment only (personal license).

Standard edition is also able to recover/remove Word and Excel VBA Project passwords, can unlock protected Excel add-ins (XLA), recover "password to open" in Access 97/2000/XP/2003 MDB files, and supports all Outlook passwords (password to open PST files, VBA Project password, and passwords to e-mail accounts). This edition can be also used in a in a corporate, governmental or business environment (business license).

Professional edition is the most complete solution that recover all passwords for all Microsoft Office components and a few other Microsoft products, including Access user-level passwords and ownership information, Microsoft Project, Microsoft PowerPoint, Microsoft OneNote, Microsoft Visio, Microsoft Publisher, Microsoft Money, Microsoft Backup (Windows 9x), Microsoft Mail and Schedule+. Besides, it can reset or change Internet Explorer Content Advisor password, and includes an unique "VBA backdoor" features that allows to open protected VBA projects in any applications, not only Microsoft ones (such as Corel WordPerfect Office and AutoCAD). This edition is also licensed for use in a corporate, governmental or business environment (business license).

The detailed feature grid for all three editions is available on AOPR web page.


How can I try AOPR?

You can download free trial version of AOPR from its web page. This version has some limitations, though.


How the trial version of AOPR is limited?

· for brute-force and mask attacks, the maximum password length is limited to 4
· some dictionary attack options are disabled
· passwords longer than 3 characters cannot be recovered (with the exceptions listed above)
· log file is not created
· VBA backdoor feature is not available
· VBA passwords cannot be changed or removed
· Excel plugins (XLA) cannot be unlocked
· in Access database owner information, ID is not shown


Why don't you have full-featured time-limited version?

Because most of our customers don't use AOPR on a regular basis, but have a one-time need for it -- e.g. to recover passwords for just a few files. And with time-limited version, they will be able to do that within a trial period, so there will be no reason to buy. Sorry.


How much does it cost?

You can see the AOPR prices on the product page.


What methods of payment do you support?

We accept all major credit cards (online, by phone and fax), bank/wire transfer, PayPal, checks and money orders.


How long does it take to process an order?

For online payments using credit cards, it usually takes just a few minutes.


Can I upgrade from one edition to another?

Yes, please use this form to check for possible upgrades and discounts.


I have lost AOPR registration code, do I need to purchase it again?

Of course, no. Please use this form to recover the lost registration key.


If I purchase AOPR now, will I get discounts on new versions?

Yes. All minor updates (e.g. from version 2.1 to version 2.2) are completely free, and major updates (e.g. from 2.2 to 3.0) are available with a fair discount. Alternatively, you can purchase Upgrade subscription and priority support and get all updates and upgrades free during the specified period.


Do you have an educational discount?

Yes, we have 40% educational discount. Contact us for details.


Do you provide discounts for members of ASP (Association of Shareware Professional) or ESC (Educational Software Cooperative)?

Yes, same as above (40%).


I have paid for the program, but have not received the program -- when to expect it?

We don't send the program itself.

Simply download the trial version from our web page. After registration you will receive your personal registration code (along with the instructions how to apply it) that converts the trial version into registered, fully-functional one.

If you lost your registration code please use this form.


I have received the registration code, what do I do with it?

On payment approval, we send not only the registration code itself, but also the instructions how to apply them. But if you prefer to read this FAQ instead of them... Well, first, download and install the program. Then run it and select Help | Enter registration code menu item. The program will prompt you for code; enter the one you received and press OK. If the code is correct (it should be -- if you have not mistyped it; note that the code is case-sensitive, so we'd recommend you to use copy-and-paste), the program will thank you for registering, and become fully-functional.


Do you provide money-back warranty?

Sorry, no -- due to the nature of the program. ElcomSoft software purchases are final and non-refundable. Please be sure you have successfully tested the evaluation version for your product before purchasing a license. For further information please refer to the ElcomSoft End-User License Agreement.


How do I use the program?

Well, the good idea is to install and start it first ;) Then, click on Open file button (the most-left one on the tool bar), or select File | Open File... through menu. In most cases, password(s) will be recovered instantly. Or the program may show the message that instant recovery is not possible for that type of protection, and so you have to run brute-force or dictionary attack (see more info on Strong passwords below).


Sometimes the program says that password cannot be recovered, but can be removed or replaced. Why?

That's because of protection used in some particular cases. Password recovery would take a very long time, but the data itself is not encrypted, and so the program can remove or replace the password -- instantly!


For testing purposes, I have protected an Excel sheet with password, but AOPR shows something like "1b1b1b1b1b1b1". Is it a bug?

MS Excel uses a very weak password encryption algorithm, and therefore there are a lot of passwords that are "identical" from Excel's point of view. So the password shown by AOPR is just one of them -- just try it.


AOPR has recovered some very strange password for my Outlook (*.pst) file -- it does not look like one I set. Why?

Same situation as above. Outlook does not keep the password itself -- it calculates (and saves) its hash (CRC32). However, there are many text strings that have the same CRC32 value, and all of them (including the one shown by AOPR) will be accepted by Outlook.


I have opened my Outlook (*.pst) file, but only file password has been recovered. Can I also recover passwords to Outlook e-mail accounts?

Yes. Select the Internet | Outlook Mail Accounts... menu item, or press the 'Recover Passwords for Outlook Mail Accounts' button on AOPR toolbar.


Does AOPR support Outlook Express (passwords to identities, e-mail and news accounts)?

No, we have another product for that: Advanced Outlook Express Password Recovery.


Can I recover passwords to web sites entered in Internet Explorer?

Not with AOPR; use Advanced Internet Explorer Password Recovery instead. It can also recover logins and passwords entered in Internet Explorer, and all auto-complete strings.


I have found the password for VBA macro, but VB Editor still shows "Project is unviewable" message -- what can I do?

Most probably, you are using an older version of MS Office than one this file has been created with. For example, macros created in Office 2000 cannot not be viewed in Office 97, even if no password is set.


What is "VBA Backdoor" feature, and how do I use it?

With it, the password is not being recovered at all. However, you are able to open VBA project (to view/edit the code); of course, you should have the application (this document has been created with, or later version) installed. Just press the VBA button on AOPR toolbar (or select VBA Backdoor | Open file through backdoor menu item). The program will prompt you for the document file; select one, and AOPR will run the application (with a special way) this document has been created with, and load your document into it. Now go into VBA properties (typically, it is under Tools | Macro | Visual Basic Editor; Tools | VBAProject Properties; you'll be prompted for the password. Enter ANY one (e.g., xyz), and it will be accepted! If your document has been created in Microsoft Office 97, you can use Office 2000 or Office XP, too. However, the reverse is not true: if you would like to unprotect Office 2000/XP document, but have only Office 97 installed, AOPR will still run it (with a warning message), but backdoor will not work.


Does "VBA Backdoor" work for non-Microsoft files/applications, and if yes, how?

Yes. Press the same VBA button on AOPR toolbar, and select the file you want to open (you may need to change 'Files of type' option in Open dialog to 'All files'). AOPR will run the associated application, and any VBA password will be accepted there. If the extension of that files is not registered in the system (and so AOPR don't know what particular program to run), you can run it yourself using the same technology: select VBA Backdoor | Launch application menu item. Backdoor will be activated, and for all documents you will open in that application, any password will be accepted.


I have a Microsoft Money file that uses authorization through Microsoft Passport. Can I do something with it?

Yes. First, press the Recover MS Passport password... on AOPR toolbar -- if you have been working with this Money file on the same computer (you run AOPR on) and the option to save password has been enabled, the password will be extracted and decrypted instantly. Otherwise, you will have to run dictionary or brute-force attack (see below).


What kind of passwords cannot be recovered instantly?

Fortunately, not many: "password to open" in Microsoft Word 97/2000/XP, Microsoft Excel 97/2000/XP, PowerPoint XP, and Microsoft Money 2000-2003 when MSPassword authorization is being used.


What is dictionary attack?

With a dictionary attack, the program tries every word in a dictionary or multiple-dictionaries until your password is found. This method is popular because it is well known that many people use common words as passwords. Dictionaries with hundreds of thousands of words, as well as specialist, technical and foreign language dictionaries are available, as are lists of thousands of words that are often used as passwords such as "qwerty", "abcdef" etc.


What is brute-force attack?

In a brute force attack, the program tries to guess your password by trying every single combination of characters until your password is found. For example, the program might follow a sequence like this: "aaaaaaaa", "aaaaaaab", "aaaaaaac" etc until the password is found. Obviously, this method will take time, for an eight character lowercase alpha password there are 200 Billion combinations to be checked. But with modern computers this sort of attack doesn't take as long as you might think. The brute force attack is the slowest method of password attack, but can often be successful on short and simple passwords.


So what to start from?

Always start with a dictionary attack with Smart mutations option enabled -- even for large dictionaries, it takes just a few minutes. If password will not be recovered, repeat the attack with Try all possible uppercase/lowercase combinations option. If you still out of luck, run brute-force attack.


I remember that my password is 12 characters long and contains special chars, is it possible to recover it?

Not in this life. You can calculate the total number of passwords (AOPR should try) using the simple formula: it is just the total number of characters in the character set (26 for small letters, 26 for capital letters, 10 for digits, and 33 for special chars) in a power of password length. So, even if the password contains just small and capital letters, and the length is 12, the total is 52^12 = 390,877,006,486,250,192,896. Even if AOPR will be able to test a million passwords per second (actual speed is lower), it would take more than twelve million years to find the correct one. Well, if you're lucky enough -- just six million years ;) Fortunately, another solution exists.


How to speed up the password recovery?

Strong passwords (for example the password to open) cannot be recovered instantly. The only one way to recover such password with Advanced Office Password Recovery is using the attacks (Brute-force, Brute-force with mask and Dictionary). The password recovery process may take very long time (more than one year in the case of long and complicated password).

Elcomsoft offers two another programs which can significantly speed up the recovery process:

1. Advanced Office Password Breaker is a program to decrypt Word and Excel 97/2000 files that have file open protection set, as well as Word and Excel XP files with default (Office 97/2000 compatible) encryption - guaranteed, regardless the password length and complexity. This is being done by trying all possible encryption keys (instead of brute-force and dictionary attacks) and takes only about ten days on single Pentium 4 (or just three-four days on faster dual-CPU systems).

Advanced Office Password Breaker can be used if the document is protected with password to open using the Office 97 compatible encryption. The document encryption is showing in the Log Window. If you see the Log Windows message: "File Encryption: 40 Bit RC4 (Office 97/2000)" -- you can use Advanced Office Password Breaker to decrypt the document.

Advanced Office Password Breaker can be downloaded from the Elcomsoft website.

Registered users of Advanced Office Password Recovery can purchase Advanced Office Password Breaker with 30% discount.

Please use this form to get a discount.

2. Elcomsoft Distributed Password Recovery is designed for distributed recovery of forgotten or lost passwords of different documents. It allows to:

· restore passwords of different documents by means of distributed processing
· work in local and global networks
· administer the password recovery server remotely
· install and uninstall agents to remote computers
· manipulate agents' work time and priority
· launch the agents and the server as system services
· keep count of machine time
· keep track of one's own actions and look through the log if necessary

You can use the power of all available computers to recover the password. Elcomsoft Distributed Password Recovery supports any Microsoft Office documents with any encryption type. It also supports many other document formats. Please see the product page to learn more.

Elcomsoft Distributed Password Recovery can be downloaded from the Elcomsoft website.

Registered users of Advanced Office Password Recovery can purchase Elcomsoft Distributed Password Recovery with 15% discount.

Please use this form to get a discount.


My password uses some German (French, Japanese etc) characters, can I recover it?

Yes. First, we have a few non-English dictionaries on the CD-ROM which can be ordered with AOPR or separately from our web site. And with a brute-force attack, use the "Custom charset" option -- just add all non-latin characters your password may contain.


Do you have pre-sales support?

Yes, you can contact us using the Contacts form on our web site:

http://www.elcomsoft.com/company.html


What kind of support do you provide to customers?

We provide technical support only by email. If you're a registered user (i.e. you already purchased the software), please include a note about that, so we'll process your request faster.


I have found a bug, how to report it?

Please contact us at http://www.crackpassword.com/support/support.php, providing as much details as possible: version number and build of your operating system, version of AOPR, and what steps are needed to reproduce the problem. Please don't send us any files (such as Word documents) in attachments, until requested.


Can I suggest a feature?

Of course. Simply contact us at http://www.crackpassword.com/support/support.php and let us know what you would like to see in the future versions.


Is AOPR legal?

To the best of our knowledge, yes. You can use it provided that you are the legal owner of all files or data you are going to recover through the use of our software or have permission from the legitimate owner to perform these acts. Any illegal use of our software will be solely your responsibility. Accordingly, you affirm that you have the legal right to access all data, information and files that have been hidden. You further attest that the recovered data, passwords and/or files will not be used for any illegal purpose. Be aware password recovery and the subsequencial data decryption of unauthorized or otherwise illegally obtained files may constitute theft or another wrongful action and may result in your civil and (or) criminal prosecution.


What programming language AOPR is written with?

Most time-critical parts are written in assembler (optimized for speed), and the rest is written on C and C++.


Can you send me the source code of AOPR, or explain how it works?

Sorry, no -- source code is an intellectual property of our company.


What are the customers of AOPR?

Mostly, they are just individuals who forget or loose their passwords. We also sell our software to law-enforcement and forensics companies, police departments, criminal investigation teams all over the world, as well as state and local government. Our customers also include all Big5 accounting companies and most Fortune 500 companies (btw, including Microsoft, Adobe, Intuit, Symantec etc).


Where your company is located?

Our head office is in Moscow, Russia.


Limitations of the Trial Version

The Trial version of Advanced Office Password Recovery has the following Limitations:

· The maximal length of passwords which are recovered by Brute-Force Attack is limited to 4 symbols
· Passwords recovered by Dictionary Attack, which are longer than 4 symbols, are not displaying
· The maximal length of passwords, which are recovered instantly, is limited to 3 symbols
· Some Dictionary Attack Options are disabled
· Log File is not created
· VBA Backdoor feature is not available
· VBA Passwords cannot be changed or removed
· Excel® Add-Ins (XLA) cannot be unlocked
· Access® Database Owner Information is not shown

You can Purchase the Full Version of Advanced Office Password Recovery to withdraw these limitations.


Registration

 Top Previous

There are three editions of Advanced Office Password Recovery: Home, Standard and Professional.

Home Edition can recover passwords to Microsoft® Word® and Excel® documents only (all but VBA Project passwords).

Standard Edition is also able to recover/remove Word® and Excel® VBA Project passwords, can unlock protected Excel® add-ins (XLA), recover "password to open" to Access® MDB files, and supports all Outlook® passwords.

Professional Edition is the most complete solution that recovers all passwords for all Microsoft® Office components and a few other Microsoft® products, including Access® user-level passwords and ownership information, Microsoft® Project, PowerPoint®, OneNote®, Money and much more.

For more information about differences between those editions see the AOPR Supported File Formats list.

You can place an order online using the following order form:

http://www.elcomsoft.com/purchase/buy.php?product=aopr&ref=DOC

Please note that there are some small processing charges for orders placed by fax, by check/money order or with back/wire transfer. European customers are also charged VAT. The prices listed above are valid for orders placed in US dollars only.

More information about all payment options is available at ordering page on ElcomSoft web site:

http://www.elcomsoft.com/order.html?product=aopr

On payment approval (for online orders, usually within a few minutes), we'll send you the registration key which will remove all limitations of the unregistered version.


.topic 290
Advanced Office Password Recovery. (c) 2004 ElcomSoft Co.Ltd.
.topic 450
When the Attack is running the Current Speed (in passwords per second) is displaying here.
.topic 440
When the Attack is running a Current Password is displaying here.
.topic 430
Log Window displays all program messages and errors.
.topic 400
Enter topic text here.
.topic 420
Click this button to clear the list of recently opened files.
.topic 410
Click this button to purchase an AOPR License.
.topic 280
This Option is used when the Password cannot be recovered instantly. You can select Brute-Force, Brute-Force with Mask and Dictionary Attack.
.topic 370
Enter topic text here.
.topic 390
Click this button to stop recovery. If button is not available recovery is not started.
.topic 380
Click this button to start recovery. If this button is not available there is no file with strong password loaded in AOPR.
.topic 360
Click this button to open a File through VBA Backdoor.
.topic 350
Click this button to change or delete the IE Content Advisor Password.
.topic 340
Click this button to recover Passwords for Outlook® E-Mail Accounts.
.topic 330
Click this button to recover MS Passport Passwords stored by MS Money.
.topic 320
Click this button to get a list of recently opened Files.
.topic 310
Click this button to select a File you want to recover Passwords.
.topic 460
Enter topic text here.
.topic 510
You can define a Password Mask here.
.topic 500
You can your own Starting Password here.
.topic 490
You can define your own Character Set by checking the "Custom Charset" option and clicking the "Define Custom Charset" button.
.topic 480
The Predefined Passwords Ranges contain the following Characters:

"a - z": "abcdefghijklmnopqrstuvwxyz";
"A - Z": "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
"0 - 9": "0123456789";
"!@..." (special characters): "!@#$%^&*()_+-=<>,./?[]{}~:;`'|"\";
"All Printable": contains all Ranges defined above

.topic 470
Password Length Range for Brute-Force Attack.
.topic 520
Enter topic text here.
.topic 570
You can specify the Dictionary starting line number here.
.topic 560
With this option all possible case combination of Dictionary word symbols will be checked.
.topic 550
With Smart Mutations all Dictionary words are transformed by changing the case of symbols (for example if word is "test", "Test", "tesT" etc. will be checked). Please read the Help File to learn more about this option.
.topic 540
Default Dictionary is using by Preliminary Attack. Here you can select Default Dictionary file.
.topic 530
You can select a Dictionary used by Dictionary Attack here.
.topic 580
Program Options
.topic 650
Preliminary Attack Options. If enable the following Preliminary Attack will be executed when a password cannot be recovered instantly.
.topic 640
If this option is checked the Program will ask you about saving a Project if you quitting Program and Project is not saved.
.topic 630
If this option is checked the Program will be minimized to the System Tray and not appear on the Taskbar.
.topic 620
This option enables automatically Project saving.
.topic 610
Here you can define the Auto-Save interval and Progress Bar updating interval.
.topic 600
Log File options. Check "Enable Program Log" to write all Log Window messages to a file. "Enable Debug Log" option must not be checked unless you have problems with recovering Outlook® Accounts Passwords. You can select a Folder where log files are stored.
.topic 590
You can select AOPR process priority here. With "Background" priority the program will use CPU resources when other programs are in idle state. With "High" priority all available CPU resources will be used.
.topic 660
The "Benchmark" feature allows you to calculate the Program speed. Press the corresponding "Calculate" button to run the test.
.topic 670
Information about your System.
.topic 680
Password Cache options.
.topic 740
If this option is checked all found Passwords will be added to the Cache.
.topic 730
Click this button to view the Passwords stored in Cache.
.topic 720
Click this button to clear current Password Cache.
.topic 710
Click this button to set a Password to the current Cache file.
.topic 700
Click this button to select the Password Cache file.
.topic 690
Password Cache file name is displayed here.
.topic 750
Enter topic text here.
.topic 1110
Click this button to delete a VBA Password of the Selected File.

.topic 1100
Click this button to change a VBA Password of the Selected File.
.topic 880
Click this button to open the selected Document.
.topic 870
Click this button to delete the Password.
.topic 860
Click this button to change the Password.
.topic 850
Check this option to create a backup copy of the Document before changing or removing the Password.
.topic 760
Click this button to copy a Password to Clipboard. You can insert the copied Password anywhere by pressing Ctrl-V keys.
.topic 300
Full Path to the Selected File is displayed here.
.topic 770
Access® User-Level Passwords and Groups.
.topic 790
Information about Access® Groups.
.topic 780
Information about Access® Users.
.topic 800
Information about Access® Database.
.topic 840
Version of MS Access® which the Document was created in.
.topic 830
Information about System Objects in Access® Database.
.topic 820
Database Owner Name.
.topic 810
Access® Database Password.
.topic 890
Outlook® Accounts Information.
.topic 900
Information about Passwords for Outlook® Accounts stored locally. Server Address, Login, Password and Server Type are displayed.
.topic 910
In this dialog you can change or delete the IE Content Advisor Password.
.topic 970
Check this option to save the Content Advisor Password before changing/deleting.
.topic 960
Press this button to restore the Password you saved.
.topic 950
Press this button to delete Content Advisor Password.
.topic 940
Enter the New Content Advisor Password and press the "Change Password" button to change it.
.topic 930
State of Saved Password is displayed here.
.topic 920
State of Current Password is displayed here.
.topic 980
New Password Dialog. Enter new Password, confirm it and press "OK".
.topic 1000
Enter new Password here one more time to confirm it.
.topic 990
Enter new Password here.
.topic 1010
Changing Password Dialog. Enter the new Password, confirm it and press the "Change" button.
.topic 1020
This Dialog displays the Information about Excel® File Passwords.
.topic 1120
Click this button to unlock the Document if it's an XLA Add-In.
.topic 1090
Additional information about Excel® Password Recovery.
.topic 1080
Information about Excel® Sheets (Sheet Name and Password).
.topic 1070
Excel® VBA Project Password.
.topic 1060
Excel® Shared Book Password.
.topic 1050
Excel® Book Password.
.topic 1040
Excel® Write-Protection Password (Password to Modify).
.topic 1030
Excel® Document Password (Password to Open).
.topic 1130
This windows shows the current state of running Attack. If there no running Attack this window is empty. The following parameters are displayed: Current Password, Number of processed Passwords, Total number of Passwords, Remaining number of Passwords, Current Speed and Time.
.topic 1140
Password entering Dialog. Please enter the Password and press OK button.
.topic 1150
PowerPoint® Passwords dialog. All found Passwords for PowerPoint® Document are displayed here.
.topic 1190
Additional information about PowerPoint® Password Recovery.
.topic 1180
PowerPoint® VBA Project Password.
.topic 1170
PowerPoint® Write-Protection Password (Password to Modify).
.topic 1160
PowerPoint® Document Password (Password to Open).
.topic 1200
Preliminary Attack is a set of predefined Attacks which are executed when the Password cannot be recovered instantly. This windows displays the current state of Preliminary Attack.
.topic 1210
This window allows you to set your own Command Line for file executed through VBA Backdoor.
.topic 1220
All Passwords stored in the Password Cache are displayed in this window.
.topic 1230
This window is displayed when the selected Password Length does not match the entered Starting Password. Please select the following action to continue the Password Recovery process.
.topic 1240
This dialog appears when recovered Passwords are not shown because of Trial Version Limitations. You can purchase the License right now clicking the "Order" button.
.topic 1270
If you already purchased AOPR please click this button and enter the Registration Code you received after purchasing.
.topic 1260
Click this button to order AOPR right now !
.topic 1250
We accept all major Credit Cards: Visa, MasterCard, American Express, Diners Club, Discovery and so on.
.topic 1280
MS Passport Passwords stored locally by MS Money are displayed in this Dialog.
.topic 1290
List of stored MS Passport Passwords. E-Mail address and the corresponding Password is displayed in the each row.
.topic 1300
This dialog displays the found Password for Selected Document. If available it allows you to change or delete the Password.
.topic 1310
Password for selected Document is displayed here.
.topic 1320
This window displays randomly choosed "Tip of the Day".
.topic 1330
Check this Option to display Tip of the Day when the Program starts.
.topic 1340
This Dialog allows you to set your own Character Set used by Brute-Force Attack.
.topic 1400
Click this button to append the Charset stored in a File to currently entered Charset.
.topic 1390
Click this button to clear currently entered Character Set.
.topic 1380
Click this button to save Charset to the File.
.topic 1370
Click this button to load Character Set from the File.
.topic 1360
Here you can enter the Character Set in hexadecimal. Each symbol code must be separated by Space.
.topic 1350
Here you can define the Charset by symbols. Unicode (International) Symbols are also supported.
.topic 1410
This Dialog displays all found Passwords for Selected MS Word® Document.
.topic 1460
Additional information about Word® Password Recovery.
.topic 1450
Word® VBA Project Password.
.topic 1440
Word® Document Protection Password.
.topic 1430
Word® Write-Protection Password (Password to Modify).
.topic 1420
Word® Document Password (Password to Open).